> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate download URL

> Generates a time-limited pre-signed URL for downloading a specific file.



## OpenAPI

````yaml get /deliverables/{id}/download
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /deliverables/{id}/download:
    get:
      tags:
        - Deliverables
      summary: Generate download URL
      description: Generates a time-limited pre-signed URL for downloading a specific file.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: x-store-id
          in: header
          required: true
          schema:
            type: string
        - name: expires_in
          in: query
          schema:
            type: integer
            default: 3600
      responses:
        '200':
          description: Download URL generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileDownloadResponse'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
components:
  schemas:
    FileDownloadResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            file_id:
              type: string
            title:
              type: string
            url:
              type: string
            expires_in:
              type: integer
            expires_at:
              type: string
              format: date-time

````